// I18n
import { createI18n } from 'vue-i18n'

import { getStoredLanguage, saveStoredLanguage } from "@/utils/languageStorage";
// 引入 elementui 的多语言
import zhLocale from 'element-plus/dist/locale/zh-cn.mjs'
import enLocale from 'element-plus/dist/locale/en.mjs'
// 如果还有新的语言在下面继续添加

// 引入自己定义的 I18n 文件
import myI18nEn from './i18n-en-US'
import myI18nZh from './i18n-zh-CN'
// 如果还有新的语言在下面继续添加

// 默认中文
const defaultLocale = "zh-CN";
const storedLocale = getStoredLanguage() || defaultLocale;
const i18n = createI18n({
    globalInjection: true, //全局生效$t
    locale: storedLocale,
    legacy: false, // 解决legacy mode 报错
    messages: {
        // 会把myI18nZh的所有内容拷贝到zhCnLocale文件中
        'zh-CN': Object.assign(zhLocale, myI18nZh),
        'en-US': Object.assign(enLocale, myI18nEn),
        // 如果还有新的语言在下面继续添加
    }
})

export default i18n;
